Import failed to load

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Import failed to load

usammmy
I am trying to upgrade our artifactory from 2.6.7 to 3.9.2 as per the instructions listed here - https://www.jfrog.com/confluence/display/RTF3X/Upgrading+Artifactory#UpgradingArtifactory-Upgradingfromv2.6.7andAbovetov3.x

I was able to successfully export, install and configure 3.x version. But, my import step is failing with this error -
Failed to import system.
java.lang.RuntimeException: Failed to reload configuration: There should be 4 default repository layouts.

I appreciate any help and suggestions to resolve this issue. Thanks in advance.

Reply | Threaded
Open this post in threaded view
|

Re: Import failed to load

itamarb
Hi,

This message indicates that you have an Artifactory Pro instance and you are trying to upgrade it to an OSS instance.
Please make sure you are using the correct Artifactory version.
The Pro version can be downloaded from Bintray, here: https://bintray.com/jfrog/artifactory-pro/jfrog-artifactory-pro-zip/3.9.2/view

Regards,
Itamar